(*                                                                      *)
(* AUTHOR: Michael G. Slack                    DATE WRITTEN: 2001/03/12 *)
(* ENVIRONMENT: Sibyl                                                   *)
(*                                                                      *)
(* Include file used by QCardU, QCard2 and QCard2 (dll) that contains   *)
(* the constants and the types use by the units/dll.                    *)
(*                                                                      *)
(* -------------------------------------------------------------------- *)
(*                                                                      *)
(* REVISED: yyyy/mm/dd -                                                *)
(*                                                                      *)

 CONST // min/max values for inputs into some of the functions
       Min_CardNum     = 1;   // minimum value for a card number
       Max_CardNum     = 52;  // maximum value for a card number
       Max_CardNum_2Deck = 104; // maximum value for a card if using two decks
       Max_CardNum_3Deck = 156; // maximum value for a card if using three decks
       Min_CardBackNum = 200; // minimum value for retrieving a card back image
       Max_CardBackNum = 205; // maximum value of card back images
       Min_SymbolNum   = 300; // minimum value for retrieving a symbol image
       Max_SymbolNum   = 302; // maximum symbol image value
       Red_Joker       = 400;
       Black_Joker     = 401;

       // useful graphic offsets/sizes
       qsz_CardWidth   = 71; // width of card images (pixels)
       qsz_CardHeight  = 96; // height of card images (pixels)
       qsz_ImageOffset = 16; // good offset to use when stacking cards (pixels)

       // number of decks (used in qc_shuffledeck call)
       qcn_1Deck = 1; // use 1 deck
       qcn_2Deck = 2; // use 2 decks
       qcn_3Deck = 3; // use 3 decks

       // return constants from some of the functions
       // invalid return
       q_Invalid_Return = -1;
       // no more cards available in deck
       q_NoMoreCardsInDeck = 0;
       // card color returns
       qc_Red_Card   = 0;
       qc_Black_Card = 1;
       // card suit returns
       qs_Clubs    = 0;
       qs_Diamonds = 1;
       qs_Hearts   = 2;
       qs_Spades   = 3;
       // card value returns
       qv_Ace   = 1;
       qv_Two   = 2;
       qv_Three = 3;
       qv_Four  = 4;
       qv_Five  = 5;
       qv_Six   = 6;
       qv_Seven = 7;
       qv_Eight = 8;
       qv_Nine  = 9;
       qv_Ten   = 10;
       qv_Jack  = 11;
       qv_Queen = 12;
       qv_King  = 13;

 TYPE Q_CARDDECK = RECORD
                    Cards : ARRAY[Min_CardNum..Max_CardNum_3Deck] OF LONGWORD;
                    NextCard : INTEGER;
                    LastCard : INTEGER;
                   END;

(************************************************************************)